SDL_HINT_HIDAPI_UDEV(3)

NAME
SDL_HINT_HIDAPI_UDEV - A variable to control whether HIDAPI uses udev for device detection.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_HIDAPI_UDEV SDL_HIDAPI_UDEV"

DESCRIPTION
The variable can be set to the following values:

• "0": HIDAPI will poll for device changes.

• "1": HIDAPI will use udev for device detection. (default)

This hint should be set before SDL is initialized.

AVAILABILITY
This hint is available since SDL 3.2.0.